sc::ShellPairsCints(3)

NAME
sc::ShellPairsCints -

ShellPairsCints contains primitive pair data for all shell pairs.

SYNOPSIS

#include <shellpairs.h>

Inherits sc::SavableState.

  Public Member Functions
ShellPairsCints (const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &)
ShellPairsCints (const Ref< ShellPairsCints > &)
ShellPairsCints (const Ref< KeyVal > &)
ShellPairsCints (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
ShellPairCints * shell_pair (int si, int sj) const

  Friends
void init_shell_pair (ShellPairsCints &)

  Additional Inherited Members

Detailed Description

ShellPairsCints contains primitive pair data for all shell pairs.

Member Function Documentation

  void sc::ShellPairsCints::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Author

Generated automatically by Doxygen for MPQC from the source code.